"""Controller for rendering front page.
"""

import logging

from sloecode.lib.base import BaseController

log = logging.getLogger(__name__)


class IndexController(BaseController):
    "IndexController serves public site pages like /."

    def front_page(self):
        # Return a rendered template
        return self.render('/index.html')

