"""The application's model objects"""

import sloecode.model.meta

# import all model classes, so the ORM engine knows about them when we
# configure the session
from sloecode.model.person import Person
from sloecode.model.project import Project
from sloecode.model.membership import Membership
from sloecode.model.authkeys import AuthKey
from sloecode.model.project_role import ProjectRole
from sloecode.model.site_role import SiteRole

def init_model(engine):
    """Call me before using any of the tables or classes in the model"""
    meta.engine = engine
    meta.Session.configure(bind=engine)
